﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace WpfApplication1.Data
{
    public class DataPointCollection : ObservableCollection<DataPoint>
    {
        public DataPointCollection()
        {
            Random rand = new Random();
            DateTime startingDate = new DateTime(2012, 11, 12);

            for (int i = 0; i < 10; i++)
            {
                DataPoint dp = new DataPoint();
                dp.Time = startingDate.AddDays(i);
                dp.Value = rand.Next(0, 10);
                Add(dp);
            }
        }
    }
}
